<!DOCTYPE html>
<html lang="en" ng-app="ClientAndonApp" id="">
<head>
	<meta charset="UTF-8">
	<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
	<title>ANDON</title>
	<script>
		var ROOTCONFIG = {
			AndonConfig: {}
		};

		var UTILITIES = new Object();

		(function (object) { 
			    var loadConfigRequest = new XMLHttpRequest();
			    loadConfigRequest.open('GET', 'public/AndonConfig.json',false);
			    loadConfigRequest.send(null);
			    if (loadConfigRequest.status === 200 || loadConfigRequest.status === 0) {
			    	var urlBasePath = window.location.protocol;
			    	urlBasePath += "//";
			    	urlBasePath += window.location.host;
			    	urlBasePath += "/";
			    	console.log(urlBasePath);
			        ROOTCONFIG = JSON.parse(loadConfigRequest.responseText);
			        if(ROOTCONFIG.AndonConfig.enabledAutoBasePath){
			        	ROOTCONFIG.AndonConfig.basePath = urlBasePath;
			        }
			    }
			    object.getToken = function () {
			        var token = '-1';
			        if (window.localStorage.crmToken) {
			            token = window.localStorage.crmToken;
			        }
			        return token;
			    };
			    object.setToken = function (token) {
			        window.localStorage.crmToken = token;
			    }  
		})(UTILITIES);  



		(function(){

			Date.prototype.pattern=function(fmt) {
			    var o = {         
			    "M+" : this.getMonth()+1, //月份         
			    "d+" : this.getDate(), //日         
			    "h+" : this.getHours()%12 == 0 ? 12 : this.getHours()%12, //小时         
			    "H+" : this.getHours(), //小时         
			    "m+" : this.getMinutes(), //分         
			    "s+" : this.getSeconds(), //秒         
			    "q+" : Math.floor((this.getMonth()+3)/3), //季度         
			    "S" : this.getMilliseconds() //毫秒         
			    };    
			    var week = {         
			    "0" : "\u65e5",         
			    "1" : "\u4e00",         
			    "2" : "\u4e8c",         
			    "3" : "\u4e09",         
			    "4" : "\u56db",         
			    "5" : "\u4e94",         
			    "6" : "\u516d"        
			    };    
			    if(/(y+)/.test(fmt)){         
			        fmt=fmt.replace(RegExp.$1, (this.getFullYear()+"").substr(4 - RegExp.$1.length));         
			    }         
			    if(/(E+)/.test(fmt)){         
			        fmt=fmt.replace(RegExp.$1, ((RegExp.$1.length>1) ? (RegExp.$1.length>2 ? "\u661f\u671f" : "\u5468") : "")+week[this.getDay()+""]);         
			    }         
			    for(var k in o){         
			        if(new RegExp("("+ k +")").test(fmt)){         
			            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));         
			        }         
			    }         
			    return fmt;         
			}       
			
		})();

	</script>
	
    <link rel="stylesheet" href="lib/Ionicons/css/ionicons.min.css">
    <link rel="stylesheet" href="lib/font-awesome/css/font-awesome.css">

	<!--  lib 库依赖  --> 
	<!--<script src="lib/jquery/dist/jquery.min.js"></script>-->
	<link rel="stylesheet" href="modules/public/dataPicker/jquery.datetimepicker.css">
	<script src="modules/public/dataPicker/jquery.js"></script>
	<script src="modules/public/dataPicker/jquery.datetimepicker.full.min.js"></script>

	<script src="lib/angular/angular.min.js"></script>
	<script src="lib/angular-sanitize/angular-sanitize.min.js"></script>
	<script src="lib/ngstorage/ngStorage.min.js"></script>
	<script src="lib/angular-translate/angular-translate.min.js"></script>
	<script src="lib/angular-ui-router/release/angular-ui-router.min.js"></script>
	<script src="lib/oclazyload/dist/ocLazyLoad.min.js"></script>
	<link rel="stylesheet" href="lib/angular-ui-select/dist/select.min.css">
	<script src="lib/angular-ui-select/dist/select.min.js"></script>
	<script src="lib/ng-file-upload/ng-file-upload-shim.min.js"></script>
	<script src="lib/ng-file-upload/ng-file-upload.min.js"></script>
	
	<link rel="stylesheet" type="text/css" href="lib/bootstrap-switch/dist/css/bootstrap3/bootstrap-switch.min.css">
	<script src="lib/bootstrap-switch/dist/js/bootstrap-switch.min.js"></script>
	<script src="lib/angular-bootstrap-switch/dist/angular-bootstrap-switch.min.js"></script>
	
	<link rel="stylesheet" href="lib/angular-ui-grid/ui-grid.min.css">
	<script src="lib/angular-animate/angular-animate.min.js"></script>
	<script src="lib/angular-touch/angular-touch.min.js"></script>
	<script src="lib/angular-ui-grid/ui-grid.min.js"></script>
	<!--  bootstrap 相关  -->
	<link rel="stylesheet" type="text/css" href="lib/bootstrap/dist/css/bootstrap.min.css"> 
	<!-- <link rel="stylesheet" type="text/css" href="lib/bootstrap/dist/css/bootstrap-theme.min.css"> --> 
	<script src="lib/bootstrap/dist/js/bootstrap.min.js"></script>
	
	<link rel="stylesheet" href="lib/angular-bootstrap/ui-bootstrap-csp.css">
	<script src="lib/angular-bootstrap/ui-bootstrap-tpls.min.js"></script>
	<script src="lib/angular-bootstrap/ui-bootstrap.min.js"></script>
	<script src="lib/angular-bootstrap/ui-bootstrap-tpls.min.js"></script>
	
	<script src="lib/echarts/dist/echarts.min.js"></script>
	<!-- <script src="lib/angular-echarts/dist/angular-echarts.min.js"></script> -->
	<script src="lib/echarts-ng/dist/echarts-ng.js"></script>
	
	<!-- <script src="lib/echarts-ng/develop/src/echarts-ng.shim.js"></script>
	<script src="lib/echarts-ng/develop/src/echarts-ng.declare.js"></script>
	<script src="lib/echarts-ng/develop/src/echarts-ng-waterfall.service.js"></script>
	<script src="lib/echarts-ng/develop/src/echarts-ng-dimension.service.js"></script>
	<script src="lib/echarts-ng/develop/src/echarts-ng.service.js"></script>
	<script src="lib/echarts-ng/develop/src/echarts-ng.directive.js"></script>
	<script src="lib/echarts-ng/develop/echarts-ng.standard.js"></script> -->
	<!--<link rel="stylesheet" href="lib/angular-bootstrap-datetimepicker/src/css/datetimepicker.css"/>-->
	<!--<link rel="stylesheet" href="lib/bootstrap/dist/css/bootstrap.css">-->
	<!--<script  type="text/javascript" src="lib/moment/min/moment-with-locales.min.js"></script>-->
	<!--<script type="text/javascript" src="lib/angular-bootstrap-datetimepicker/src/js/datetimepicker.js"></script>-->
	<!--<script type="text/javascript" src="lib/angular-bootstrap-datetimepicker/src/js/datetimepicker.templates.js"></script>-->
	
	<!--<link href="lib/bootstrap-datetimepicker-master/css/bootstrap-datetimepicker.min.css" rel="stylesheet" media="screen">-->
	<!--<script type="text/javascript" src="lib/bootstrap-datetimepicker-master//js/bootstrap-datetimepicker.js" charset="UTF-8"></script>-->
	<!--<script type="text/javascript" src="lib/bootstrap-datetimepicker-master//js/locales/bootstrap-datetimepicker.fr.js" charset="UTF-8"></script>-->
	<!--   项目代码   -->
	<link rel="stylesheet" type="text/css" href="css/AndonApp.css">
	<link rel="stylesheet" type="text/css" href="css/animate.css">
	
	<!--<link rel="stylesheet" type="text/css" href="modules/homePage/icon-font/iconfont.css">-->

	<!-- datetimepicker -->
	<link rel="stylesheet" type="text/css" href="lib/datetimepicker/build/jquery.datetimepicker.min.css">
	<script src="lib/datetimepicker/build/jquery.datetimepicker.full.min.js"></script>
	
	<script src="public/js_helper/AndonUIUtils.js"></script>
	<script src="public/ClientAndonApp.js"></script>
	
	<script src="modules/login/loginModule.js"></script>
	<script src="modules/login/loginCtrl.js"></script>
	
	<script src="modules/homePage/homeModule.js"></script>
	<script src="modules/homePage/homeCtrls.js"></script>
	
	<script src="modules/utils/utilsServices.js"></script>
	<script src="modules/public/reverse/reverseModule.js"></script>
	<!--<script src="modules/public/download/downLoadModule.js"></script>-->
	<script src="modules/public/dataPicker/dataPickerModule.js"></script>
	<script src="modules/public/move/moveModule.js"></script>
	<script src="modules/public/dropdown/dropdownModule.js"></script>



	
	<!--  PLC模块  -->
	<!-- <link rel="stylesheet" type="text/css" href="css/plc/dataItem/DataItem.css"> -->
	<!-- <link rel="stylesheet" type="text/css" href="css/plc/deviceMaintain/NetworkInfo.css"> -->
	<script src="modules/plc/plcModule.js"></script>
	<script src="modules/plc/dataType/typeManagerCtrl.js"></script>
	<script src="modules/plc/dataItem/dataItemManagerCtrl.js"></script>
	<script src="modules/plc/protocolType/protocolTypeManagerCtrl.js"></script>
	
	<script src="modules/plc/deviceMaintain/networkInfoCtrl.js"></script>
	
	<script src="modules/plc/deviceMaintain/network/networkCtrl.js"></script>
	
	<script src="modules/plc/deviceMaintain/addInfoPart/addInfoPartCtrl.js"></script>
	
	<script src="modules/plc/deviceMaintain/addressInfo/addressInfoCtrl.js"></script>
	<script src="modules/plc/treatyType/treatyTypeManagerCtrl.js"></script>
	<!--  用户管理模块  -->
	<!-- <link rel="stylesheet" type="text/css" href="css/user/UserManager.css"> -->
	<!-- <link rel="stylesheet" type="text/css" href="css/work/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css"> -->
	<!-- <link rel="stylesheet" type="text/css" href="css/user/style.css"> -->
	
	<script src="modules/user/userModule.js"></script>
	<script src="modules/user/userManager/userManagerCtrl.js"></script>
	
	<script src="modules/user/userGroupManager/userGroupManagerCtrl.js"></script>
	
	<script src="modules/user/userGroupManager/basicInfo/basicInfoCtrl.js"></script>
	
	<script src="modules/user/userGroupManager/privilege/privilegeCtrl.js"></script>
	<script src="modules/user/userGroupManager/platformsPrivilege/platformsPrivilegeCtrl.js"></script>

	<script src="modules/user/factoryManager/factoryManagerCtrl.js"></script>	
	
	<script src="modules/work/workModule.js"></script>	
	<script src="modules/work/workCtrl.js"></script>	
	<script src="modules/work/basicWork/basicWorkCtrl.js"></script>	
	<script src="modules/work/basicWork/workInfo/workInfoCtrl.js"></script>	
	<script src="modules/work/basicWork/workParams/workParamCtrl.js"></script>	
	<script src="modules/work/basicWork/workParams/modalParamSearchResultCtrl.js"></script>	
	<script src="modules/work/basicWork/workInfo/modalInfoSearchResultCtrl.js"></script>	
	
	<script src="modules/work/basicWork/workGroup/workGroupCtrl.js"></script>	
	<script src="modules/work/workGroupManager/workGroupManagerCtrl.js"></script>	
	<script src="modules/work/workGroupManager/modalWorkGroupSearchResultCtrl.js"></script>
	<script src="modules/work/workGroupManager/modalWorkGroupSearchResultCtrl.js"></script>
	
	<script src="modules/work/workGroupManager/modalAddSearchResultCtrl.js"></script>
	<script src="modules/work/clientWorkManager/clientWorkManagerCtrl.js"></script>
	<script src="modules/work/clientWorkManager/modalClientSearchResultCtrl.js"></script>
	<script src="modules/work/clientWorkManager/modalAddClientSearchResultCtrl.js"></script>

	<script src="modules/work/workParamDesign/workParamDesignCtrl.js"></script>
	<script src="modules/work/workParamDesign/modalWorkParamDesignCtrl.js"></script>
	
	<script src="modules/reasonCode/reasonCodeModule.js"></script>
	<script src="modules/reasonCode/reasonCodeCtrl.js"></script>
	<script src="modules/reasonCode/ReasonCodeGroup/reasonCodeGroupCtrl.js"></script>
	<script src="modules/reasonCode/reasonCodeMaintain/reasonCodeMaintainCtrl.js"></script>
	<script src="modules/reasonCode/reasonCodeAndDeviceStatus/reasonCodeAndDeviceStatusCtrl.js"></script>
	<script src="modules/reasonCode/identifyRulesManager/rulemanagerCtrls.js"></script>
	
	<script src="modules/theoryPPM/theoryPPMModule.js"></script>
	<script src="modules/theoryPPM/theoryPPMCtrl.js"></script>
	<script src="modules/theoryPPM/groupMaintain/groupMaintainCtrl.js"></script>
	<script src="modules/theoryPPM/queryManager/queryManagerCtrl.js"></script>
	
	<script src="modules/outputTarget/outputTargetModule.js"></script>
	<script src="modules/outputTarget/outputTargetCtrl.js"></script>
	
	<script src="modules/plannedStop/plannedStopModule.js"></script>
	<script src="modules/plannedStop/plannedStopCtrl.js"></script>
	
	<script src="modules/yieldMaintain/yieldMaintainModule.js"></script>
	<script src="modules/yieldMaintain/yieldMaintainCtrl.js"></script>
	
	<script src="modules/statement/statementModule.js"></script>

	<script src="modules/statement/deviceStatusStatement/deviceStatusStatementCtrl.js"></script>

	<script src="modules/statement/statementCtrl.js"></script>
	<script src="modules/statement/outputStatement/outputStatementCtrl.js"></script>
	<script src="modules/statement/outputStatement/modal/modalHelpCtr.js"></script>
	<script src="modules/statement/oeeStatement/OEEStatementCtrl.js"></script>
	<!--<script src="modules/statement/deviceTimelyStatement/deviceTimelyStatementCtrl.js"></script>-->
	<script src="modules/statement/PPMStatement/PPMStatementCtrl.js"></script>
	<script src="modules/statement/deviceRealTimeStatement/deviceRealTimeStatementCtrl.js"></script>


	<script src="modules/alert/alertModule.js"></script>
	<script src="modules/alert/reasonCode/alertAndReasonCodeCtrl.js"></script>
	<script src="modules/alert/reasonCode/currentEffect/currentEffectCtrl.js"></script>
	<script src="modules/alert/reasonCode/historyDatas/historyDatasCtrl.js"></script>
	<script src="modules/alert/modal/modalCurrentSearchResultCtrl.js"></script>
	<script src="modules/alert/import/modalCurrentImportCtrl.js"></script>

	<!--<script src="modules/test/testModule.js"></script>-->
	<!--<script src="modules/test/testCtrl.js"></script>-->
	<script src="modules/user/upload/uploadCtrl.js"></script>
	<script src="modules/statement/modal/selectMoreModalCtr.js"></script>
	<script src="modules/statement/OEEDetail/OEEDetailCtrl.js"></script>
	<script src="modules/statement/RSDetail/RSDetailCtrl.js"></script>
	<script src="modules/statement/ppmExportStatement/ppmExportStatementCtrl.js"></script>
	<script src="modules/statement/shutdownReason/shutdownReasonCtrl.js"></script>
	<script src="modules/statement/produceMicroPlan/produceMicroPlanCtrl.js"></script>
	<script src="modules/statement/oeeTrendAnalysisStatement/oeeTrendAnalysisStatementCtrl.js"></script>
	<script src="modules/client/resourceOperatorMaintenance/resourceOperatorMaintenanceController.js"></script>
	<script src="modules/client/workOrderProcess/workOrderProcessController.js"></script>
	<script src="modules/client/clientModule.js"></script>
	<script src="modules/client/modal/modalController.js"></script>
	<script src="modules/client/cmMaintenanceAnalysisResult/cmMaintenanceAnalysisResultController.js"></script>
	<script src="modules/client/batchCreateWorkOrder/batchCreateWorkOrderController.js"></script>
	<script src="modules/statement/alarmRemarkStatement/alarmRemarkStatementCtrl.js"></script>
	<script src="modules/statement/alarmRemarkStatement/plcAlarmRemarkStatementCtrl.js"></script>


</head>
<body ng-controller="BodyCtrl" class="sidebar-mini" ng-click="clickHideDate()">
	<!--错误警告框开始-->
	<div class="alerts-manager-box flex-center"
		 ng-class="{'nav-toggle':bodyConfig.navToggle}"
		 ng-if="bodyConfig.alerts.length > 0">
		<div class="alert-box-content"
			 ng-class="{'alert-box-fadeOut': bodyConfig.alertIsClosed}">
			<uib-alert ng-repeat="alert in bodyConfig.alerts"
					   type="{{alert.type}}"
					   close="closeAlert($index)">{{alert.msg}}</uib-alert>
		</div>
	</div>
	<!--错误警告框结束-->
	<!--主页-->
	<div ui-view></div>
</body>
</html>